MEMALIGNMENT(3)

NAME
memalignment - find the memory alignment of an object

SYNOPSIS
libc
#include <stdlib.h>
size_t
memalignment(const void *ptr);

DESCRIPTION
The memalignment() function determines the alignment of the object pointed to by ptr. This alignment is a power of 2, and may be larger than the range supported by the alignof operator. The value returned can be compared to the result of alignof, and if it is greater or equal, the alignment requirement of the operand is satisfied.

RETURN VALUES
Returns the alignment of ptr as a power of 2. If ptr is a null pointer, an alignment of zero is returned. An alignment of zero indicates that the tested pointer cannot be used to access an object of any type.

SEE ALSO
aligned_alloc(3), posix_memalign(3)

STANDARDS
The memalignment() function conforms to isoC-2023.

HISTORY
The memalignment() function was added in FreeBSD 15.1.

AUTHOR
Robert Clausecker <fuz@FreeBSD.org>